PETSc version 3.17.4
Fix/Edit manual page

# TSTrajectorySetMaxCpsRAM

Set maximum number of checkpoints in RAM

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectorySetMaxCpsRAM(TSTrajectory tj,PetscInt max_cps_ram)

Logically collective

### Input Parameter

| tj | - tstrajectory context

### Output Parameter

| max_cps_ram | - maximum number of checkpoints in RAM

### See Also

TSTrajectorySetMaxUnitsRAM()

### Level

intermediate

### Location

src/ts/trajectory/impls/memory/trajmemory.c

### Implementations

TSTrajectorySetMaxCpsRAM_Memory in src/ts/trajectory/impls/memory/trajmemory.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages